<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/public/img/favicon.ico}" sizes="32x32">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>our awesome blog</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.5/css/bulma.min.css">
    <link rel="stylesheet" href="/style.css"/>
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
</head>
<body>
<section class="section">
    <nav class="navbar dunkelgrün has-text-weight-semibold is-fixed-top is-spaced 2 "
         role="navigation"
         aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <a href="/beitraege"><span
                        class="has-text-weight-bold is-size-3 has-text-black">OurAwesomeBlog</span></a>
            </div>
            <div class="navbar-end">
                <a class="navbar-item" th:href="@{/login}" th:if="${sessionNutzer == null}">Login</a>

                <a class="navbar-item" th:href="@{/registrieren}" th:if="${sessionNutzer == null}">Registrieren</a>

                <form class="navbar-item" th:if="${sessionNutzer != null}" method="post" th:action="@{/logout}">
                    <button class="button dunkelgrün" type="submit">Logout</button>
                </form>

            </div>
        </div>
    </nav>
</section>
<div class="container box rose has-text-weight-bold">
    <div class="container">
        <div class="field is-horizontal">Bitte log dich ein:
        </div>
    </div>
    <br>
    <form th:action="@{/login}" th:object="${login}" method="post">
        <div class="container">
            <div class="field is-horizontal">
                <div class="field-label is-normal">
                    <label class="label">Nutzername</label>
                </div>
                <div class="field-body">
                    <div class="field">
                        <div class="control">
                            <input class="input" type="text" th:field="*{nutzername}">
                            <p th:if="${#fields.hasErrors('nutzername')}" th:errors="*{nutzername}"></p></p>
                        </div>
                    </div>
                </div>


                <div class="field-label is-normal">
                    <label class="label">Passwort</label>
                </div>
                <div class="field-body is-small">
                    <div class="field">
                        <div class="control">
                            <input class="input" type="password" th:field="*{passwort}">
                            <p th:if="${#fields.hasErrors('passwort')}" th:errors="*{passwort}"></p></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <button class="button helleresgrün" type="submit">Login</button>
    </form>

</div>
</div>
<footer class="footer has-text-centered ">
    <strong>OurAwesomeBlog</strong> by Jessica Gettkandt and Moritz Bechtold.
</footer>
</body>
</html>
